import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const salesRepresentative = await conductor.qbd.salesRepresentatives.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(salesRepresentative.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
sales_representative = conductor.qbd.sales_representatives.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(sales_representative.id)curl --request POST \
--url https://api.conductor.is/v1/quickbooks-desktop/sales-representatives/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Conductor-End-User-Id: <conductor-end-user-id>' \
--header 'Content-Type: application/json' \
--data '
{
"revisionNumber": "1721172183",
"initial": "JD",
"isActive": true,
"entityId": "80000001-1234567890"
}
'
{
"id": "80000001-1234567890",
"objectType": "qbd_sales_representative",
"createdAt": "2025-01-01T12:34:56.000Z",
"updatedAt": "2025-02-01T12:34:56.000Z",
"revisionNumber": "1721172183",
"initial": "JD",
"isActive": true,
"entity": {
"id": "80000001-1234567890",
"fullName": "John Doe"
}
}Update a sales representative
Updates an existing sales representative.
import Conductor from 'conductor-node';
const conductor = new Conductor({
apiKey: process.env['CONDUCTOR_SECRET_KEY'], // This is the default and can be omitted
});
const salesRepresentative = await conductor.qbd.salesRepresentatives.update('80000001-1234567890', {
revisionNumber: '1721172183',
conductorEndUserId: 'end_usr_1234567abcdefg',
});
console.log(salesRepresentative.id);import os
from conductor import Conductor
conductor = Conductor(
api_key=os.environ.get("CONDUCTOR_SECRET_KEY"), # This is the default and can be omitted
)
sales_representative = conductor.qbd.sales_representatives.update(
id="80000001-1234567890",
revision_number="1721172183",
conductor_end_user_id="end_usr_1234567abcdefg",
)
print(sales_representative.id)Authorizations
Your Conductor secret key using Bearer auth (e.g., "Authorization: Bearer {{YOUR_SECRET_KEY}}").
Headers
The ID of the End-User to receive this request.
"end_usr_1234567abcdefg"
Path Parameters
The QuickBooks-assigned unique identifier of the sales representative to update.
36"80000001-1234567890"
Body
The current QuickBooks-assigned revision number of the sales representative object you are updating, which you can get by fetching the object first. Provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The initials of this sales representative's name.
Maximum length: 5 characters.
5"JD"
Indicates whether this sales representative is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The sales representative's corresponding person entity in QuickBooks, stored as either an employee, vendor, or other-name entry.
36"80000001-1234567890"
Response
Returns the updated sales representative.
The unique identifier assigned by QuickBooks to this sales representative. This ID is unique across all sales representatives but not across different QuickBooks object types.
"80000001-1234567890"
The type of object. This value is always "qbd_sales_representative".
"qbd_sales_representative""qbd_sales_representative"
The date and time when this sales representative was created, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-01-01T12:34:56.000Z"
The date and time when this sales representative was last updated, in ISO 8601 format (YYYY-MM-DDThh:mm:ss±hh:mm), which QuickBooks Desktop interprets in the local timezone of the end-user's computer.
"2025-02-01T12:34:56.000Z"
The current QuickBooks-assigned revision number of this sales representative object, which changes each time the object is modified. When updating this object, you must provide the most recent revisionNumber to ensure you're working with the latest data; otherwise, the update will return an error.
"1721172183"
The initials of this sales representative's name.
"JD"
Indicates whether this sales representative is active. Inactive objects are typically hidden from views and reports in QuickBooks. Defaults to true.
true
The sales representative's corresponding person entity in QuickBooks, stored as either an employee, vendor, or other-name entry.
Show child attributes
Show child attributes
{
"id": "80000001-1234567890",
"fullName": "John Doe"
}

